<template>
  <div>
    <SidebarRegister />
    <div class="container-register">
      <div class="icon-step">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          width="26"
          height="26"
          fill="currentColor"
          class="bi bi-person-lines-fill"
          viewBox="0 0 16 16"
        >
          <path
            d="M6 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm-5 6s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H1zM11 3.5a.5.5 0 0 1 .5-.5h4a.5.5 0 0 1 0 1h-4a.5.5 0 0 1-.5-.5zm.5 2.5a.5.5 0 0 0 0 1h4a.5.5 0 0 0 0-1h-4zm2 3a.5.5 0 0 0 0 1h2a.5.5 0 0 0 0-1h-2zm0 3a.5.5 0 0 0 0 1h2a.5.5 0 0 0 0-1h-2z"
          />
        </svg>
      </div>
      <h3 class="mt-4 fw-bold">Profile Pekerja</h3>
      <form class="mt-4" @submit.prevent>
        <div class="row">
          <div class="col-6">
            <div class="mb-3">
              <label for="namaLengkap" class="form-label">Nama Lengkap</label>
              <input
                type="text"
                class="form-control"
                id="namaLengkap"
                placeholder="Ketik nama lengkap"
                v-model="form.name"
                required
              />
            </div>
            <div class="mb-3">
              <label for="jenisKelamin" class="form-label">Jenis Kelamin</label>
              <select
                class="form-select"
                aria-label="Default select example"
                id="jenisKelamin"
                v-model="form.gender"
                required
              >
                <option
                  value="Laki-laki"
                  :selected="form.gender === 'Laki-laki'"
                >
                  Laki-laki
                </option>
                <option
                  value="Perempuan"
                  :selected="form.gender === 'Perempuan'"
                >
                  Perempuan
                </option>
              </select>
            </div>
            <div class="mb-3">
              <label for="alamat" class="form-label">Alamat</label>
              <textarea
                class="form-control"
                id="alamat"
                rows="3"
                placeholder="ketik alamat"
                v-model="form.address"
                required
              ></textarea>
            </div>
          </div>
          <div class="col-6">
            <div class="mb-3">
              <label for="tanggalLahir" class="form-label">Tanggal Lahir</label>
              <input
                type="date"
                class="form-control"
                id="tanggalLahir"
                placeholder="Ketik tanggal lahir"
                v-model="form.dob"
                required
              />
            </div>
            <div class="mb-3">
              <label for="nomorHP" class="form-label">Nomor Handphone</label>
              <input
                type="text"
                class="form-control"
                id="nomorHP"
                placeholder="Ketik nomor handphone"
                v-model="form.phoneNumber"
                required
              />
            </div>
            <div class="mb-3">
              <label for="email" class="form-label">Email</label>
              <input
                type="email"
                class="form-control"
                id="email"
                placeholder="Ketik email"
                v-model="form.email"
                required
              />
            </div>
          </div>
        </div>
        <div class="d-flex my-4 justify-content-end gap-2">
          <button type="button" class="btn btn-secondary" @click="back">
            Kembali
          </button>
          <button type="submit" class="btn btn-primary" @click="save">
            Selanjutnya
          </button>
        </div>
      </form>
    </div>
  </div>
</template>

<script>
import SidebarRegister from "@/components/SidebarRegister.vue";
import moment from "moment/moment";

export default {
  name: "RegisterStep2View",
  components: {
    SidebarRegister,
  },
  data() {
    return {
      form: {},
      localVerifikasi: {},
      localProfile: {},
    };
  },
  computed: {},
  methods: {
    setData() {
      this.form = { ...this.form, ...this.localProfile };
      this.form.dob = moment(this.form.dob).format("YYYY-MM-DD");
    },
    back() {
      this.$router.push({ path: "/register/step-1" });
    },
    save() {
      if (
        this.form.name &&
        this.form.dob &&
        this.form.gender &&
        this.form.address &&
        this.form.phoneNumber &&
        this.form.email
      ) {
        localStorage.setItem("profile", JSON.stringify(this.form));
        this.$router.push({ path: "/register/step-3-1" });
      }
    },
  },
  created() {
    moment.locale("id");
    this.localVerifikasi =
      JSON.parse(localStorage.getItem("verifikasi")) || null;
    this.localProfile = JSON.parse(localStorage.getItem("profile")) || null;

    if (!this.localVerifikasi) {
      this.$router.push({ path: "/register/step-1" });
      return;
    }

    this.setData();
  },
};
</script>

<style>
</style>